# IP trunks

IP trunks are core links between two GÉANT routers.
The IP trunk is a special service since on the interfaces at the end of the trunk, no VLAN multiplexing is allowed.
For this reason, in case of an IP trunk, we do not use the canonical decomposition that leverages a demarcation point.

## Modelling and attributes

The relevant attributes for an IPTrunk are the following:

| Attribute name                        | Attribute type | Description                                                                                          |
|---------------------------------------|----------------|------------------------------------------------------------------------------------------------------|
| `geant_s_sid`                         | `str`          | GÉANT service ID associated with this trunk.                                                         |
| `iptrunk_description`                 | `str`          | A human-readable description of this trunk.                                                          |
| `iptrunk_type`                        | `IptrunkType`  | The type of trunk, can be either dark fibre or leased capacity.                                      |
| `iptrunk_speed`                       | `str`          | should be of PhyPortCapacity type The speed of the trunk, measured per interface associated with it. |
| `iptrunk_minimum_links`               | `int`          | The minimum amount of links the trunk should consist of.                                             |
| `iptrunk_isis_metric`                 | `int`          | The IS-IS metric of this link                                                                        |
| `iptrunk_ipv4_network`                | `IPv4Network`  | The IPv4 network used for this trunk.                                                                |
| `iptrunk_ipv6_network`                | `IPv6Network`  | The IPv6 network used for this trunk.                                                                |
| `iptrunk_side_node`                   | `DeviceBlock`  | The router that hosts the A side of the trunk.                                                       |
| `iptrunk_side_ae_iface`               | `str`          | The name of the interface on which the trunk connects.                                               |
| `iptrunk_side_ae_geant_a_sid`         | `str`          | The service ID of the interface.                                                                     |
| `iptrunk_side_ae_members`             | `list[str]`    | A list of interface members that make up the aggregated Ethernet interface.                          |
| `iptrunk_side_ae_members_description` | `list[str]`    | The list of descriptions that describe the list of interface members.                                |
